{% extends "base.html" %} {% load django_tables2 %}  {% load render_table from django_tables2 %} {% load static from staticfiles %}


{% block external_css %}
<link rel="stylesheet" href="https://ajax.googleapis.com/ajax/libs/jqueryui/1.12.1/themes/smoothness/jquery-ui.css">
  <link rel="stylesheet" href="https://cdn.datatables.net/1.10.15/css/dataTables.bootstrap4.min.css" />
{% endblock %}
{% block internal_css %}
  <link rel="stylesheet" href="{% static 'css/table.css' %}">
  <link rel="stylesheet" href="{% static 'css/select2-bootstrap.css' %}">
{% endblock %}
{% block external_js %}
    <script src="https://cdn.jsdelivr.net/npm/js-cookie@2/src/js.cookie.min.js"></script>
<script
      src="https://code.jquery.com/ui/1.12.1/jquery-ui.min.js"
      integrity="sha256-VazP97ZCwtekAsvgPBSUwPFKdrwD3unUfSGVYrahUqU="
      crossorigin="anonymous"></script>
  <script src="https://cdnjs.cloudflare.com/ajax/libs/select2/4.0.3/js/select2.min.js"></script>
  <script type="text/javascript" src="https://cdn.datatables.net/1.10.15/js/jquery.dataTables.min.js"></script>
  <script type="text/javascript" src="https://cdn.datatables.net/1.10.15/js/dataTables.bootstrap4.min.js"></script>
  <script src="https://cdn.jsdelivr.net/npm/js-cookie@2/src/js.cookie.min.js"></script>
  {% endblock %}

{% block internal_js %}
  <script src="{% static 'js/table.min.js' %}"></script>
{% endblock %}
{% load keyvalue %}
{% load has_group %}

{% block content %}
<div class="tables_div">
    <ul class="nav nav-tabs" id="table_tabs">
        <li class="series_tab_header nav-item"><a data-toggle="tab"class="nav-link active" href="#series_table_div">{{ seriesTable.Meta.attrs.disp_name }}</a></li>
        <li class="biosample_tab_header nav-item"><a data-toggle="tab"class="nav-link" href="#biosample_table_div">{{ biosampleTable.Meta.attrs.disp_name }}</a></li>
        <li class="assay_tab_header nav-item"><a data-toggle="tab"class="nav-link" href="#assay_table_div">{{ assayTable.Meta.attrs.disp_name }}</a></li>
    </ul>
    <div class="tab-content">
        <div id="series_table_div" class="tab-pane active">
            <div class="table_subdiv">
                <div class="series_filter_bar filter_bar  ">
                    <div class="input-group">
                        <span class="input-group-addon"><i class="fas fa-search"></i></span>
                        <input type="text" class="form-control search_box" placeholder="Search" />
                    </div>
                    <button class="btn btn-outline-secondary clear_table">Remove Filters</button>
                    {% for fields in facet.series%}
                    <div class="facet">
                        <label class="replace_str">{{fields}}</label>
                        {% for option in facet.series|keyvalue:fields %}
                        <div class="facet_item">
                            <div class="facet_text">
                                <span class="term">{{option|keyvalue:fields}}</span>
                                <span class="count">({{option.count}})</span>
                            </div>
                        </div>
                        {% endfor %}
                    </div>
                    {% endfor %}
                </div>
                <div class="table_div">
                    {% render_table seriesTable %}
                </div>
            </div>
        </div>
        <div id="biosample_table_div" class="tab-pane">
            <div class="table_subdiv">
                <div class="biosample_filter_bar filter_bar  ">
                    <div class="form-group has-feedback">
                        <i class="fas fa-search form-control-feedback"></i>
                        <input type="text" class="form-control search_box" placeholder="Search" />
                    </div>
                    {% for fields in facet.biosample%}
                    <div class="facet">
                        <label class="replace_str">{{fields}}</label>
                        {% for option in facet.biosample|keyvalue:fields %}
                        <div class="facet_item">
                            <div class="facet_text">
                                <span class="term">{{option|keyvalue:fields}}</span>
                                <span class="count">({{option.count}})</span>
                            </div>
                        </div>
                        {% endfor %}
                    </div>
                    {% endfor %}
                </div>
                <div class="table_div">
                    {% render_table biosampleTable %}
                </div>
            </div>

        </div>
        <div id="assay_table_div" class="tab-pane">
            <div class="table_subdiv">
                <div class="assay_filter_bar filter_bar  ">
                    <div class="form-group has-feedback">
                        <i class="fas fa-search form-control-feedback"></i>
                        <input type="text" class="form-control search_box" placeholder="Search" />
                    </div>
                    {% for fields in facet.assay%}
                    <div class="facet">
                        <label class="replace_str">{{fields}}</label>
                        {% for option in facet.assay|keyvalue:fields %}
                        <div class="facet_item">
                            <div class="facet_text">
                                <span class="term">{{option|keyvalue:fields}}</span>
                                <span class="count">({{option.count}})</span>
                            </div>
                        </div>
                        {% endfor %}
                    </div>
                    {% endfor %}
                </div>
                <div class="table_div">
                    {% render_table assayTable %}
                </div>
            </div>

        </div>
    </div>
</div>
{% if request.user|has_group  %}
    <div class=".is_member">
    </div>
{% endif %}

{% endblock %}
